SoInteraction(3IV)

NAME
SoInteraction — initializes Inventor interaction classes

INHERITS FROM
SoInteraction

SYNOPSIS
#include <Inventor/SoInteraction.h>

Methods from class SoInteraction:

static void
init()

DESCRIPTION
SoInteraction consists of one static function which initializes all Inventor interaction classes, as well as nodekits and the database. Note that SoInteraction::init() is already called by SoXt::init().

METHODS
static void
init()
This calls SoDB::init() and SoNodeKit::init(), calls initClasses() on SoDragger, and calls initClass() on the following classes: SoAntiSquish, SoBoxHighlightRenderAction, SoCenterballManip, SoDirectionalLightManip, SoHandleBoxManip, SoInteractionKit, SoJackManip, SoLineHighlightRenderAction, SoPointLightManip, SoSelection, SoSpotLightManip, SoSurroundScale, SoTabBoxManip, SoTrackballManip, SoTransformBoxManip, and SoTransformManip.

SEE ALSO
SoDB, SoNodeKit, SoXt